Bug 859032 - Review Request: ghc-data-memocombinators - Combinators for building memo tables
Review Request: ghc-data-memocombinators - Combinators for building memo tables
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 08:20 EDT by Shakthi Kannan
Modified: 2012-10-28 23:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-data-memocombinators-0.4.3-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-28 23:37:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2012-09-20 08:20:01 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-data-memocombinators.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-data-memocombinators-0.4.3-1.fc16.src.rpm
Description: Combinators for building memo tables
Fedora Account System Username: shakthimaan
Comment 1 Shakthi Kannan 2012-09-20 08:23:42 EDT
$ rpmlint ghc-data-memocombinators.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ghc-data-memocombinators-0.4.3-1.fc16.src.rpm 
ghc-data-memocombinators.src: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ghc-data-memocombinators-0.4.3-1.fc16.x86_64.rpm 
ghc-data-memocombinators.x86_64: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ghc-data-memocombinators-devel-0.4.3-1.fc16.x86_64.rpm 
ghc-data-memocombinators-devel.x86_64: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Successful Koji builds for F16, F17, F18 and F19 respectively:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4507356
http://koji.fedoraproject.org/koji/taskinfo?taskID=4507359
http://koji.fedoraproject.org/koji/taskinfo?taskID=4507362
http://koji.fedoraproject.org/koji/taskinfo?taskID=4507365
Comment 2 Narasimhan 2012-10-08 06:46:27 EDT
Hi,
There is a LICENSE file added to the sources. Was this obtained from the author by email?
Comment 3 Shakthi Kannan 2012-10-08 06:49:29 EDT
Upstream hasn't responded. So, as per the guidelines, I have included it, and have also sent the same to the author to include it in the next release.

http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
Comment 4 Narasimhan 2012-10-08 07:05:22 EDT
Ok.Thanks

[+]MUST: rpmlint must be run onevery package. The output should be posted in the review.
rpmlint  -i ghc-data-memocombinators-0.4.3-1.fc17.x86_64.rpm ghc-data-memocombinators-devel-0.4.3-1.fc17.x86_64.rpm ghc-data-memocombinators-0.4.3-1.fc17.src.rpm ../ghc-data-memocombinators.spec 
ghc-data-memocombinators.x86_64: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
The value of this tag appears to be misspelled. Please double-check.

ghc-data-memocombinators-devel.x86_64: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
The value of this tag appears to be misspelled. Please double-check.

ghc-data-memocombinators.src: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 3 warnings.
[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
LICENSE is BSD3.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included as extra sources obtained from upstream.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
 sha256sum data-memocombinators-0.4.3.tar.gz ghc-data-memocombinators-0.4.3-1.fc16.src/data-memocombinators-0.4.3.tar.gz 
4cbfdcfaf73674591373097b144f4bc655458c6f3ca6af5c3d7e88cad893fb57  data-memocombinators-0.4.3.tar.gz
4cbfdcfaf73674591373097b144f4bc655458c6f3ca6af5c3d7e88cad893fb57  ghc-data-memocombinators-0.4.3-1.fc16.src/data-memocombinators-0.4.3.tar.gz
[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
        ghc(data-memocombinators-0.4.3) = 3cd7a3ec2af2cd2a9794bcf2e6cf4fed is needed by (installed) ghc-data-memocombinators-devel-0.4.3-1.fc17.x86_64
        ghc-data-memocombinators = 0.4.3-1.fc17 is needed by (installed) ghc-data-memocombinators-devel-0.4.3-1.fc17.x86_64
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
[+]SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
Installed the packages. Loaded Data.MemoCombinators into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

cabal2spec-diff is OK.

APPROVED.
Comment 5 Narasimhan 2012-10-08 07:28:13 EDT
Output from fedora-review.

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Static libraries in -static subpackage, if present.
     Note: ghc-data-memocombinators-devel-0.4.3-1.fc17.x86_64.rpm :
     /usr/lib64/ghc-7.0.4/data-memocombinators-0.4.3/libHSdata-
     memocombinators-0.4.3.a ghc-data-memocombinators-
     devel-0.4.3-1.fc17.x86_64.rpm : /usr/lib64/ghc-7.0.4/data-
     memocombinators-0.4.3/libHSdata-memocombinators-0.4.3_p.a
See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames


===== MUST items =====

C/C++:
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[!]: Static libraries in -static subpackage, if present.
     Note: ghc-data-memocombinators-devel-0.4.3-1.fc17.x86_64.rpm :
     /usr/lib64/ghc-7.0.4/data-memocombinators-0.4.3/libHSdata-
     memocombinators-0.4.3.a ghc-data-memocombinators-
     devel-0.4.3-1.fc17.x86_64.rpm : /usr/lib64/ghc-7.0.4/data-
     memocombinators-0.4.3/libHSdata-memocombinators-0.4.3_p.a

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[ ]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (data-memocombinators-0.4.3.tar.gz) Source1 (LICENSE)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-data-memocombinators-0.4.3-1.fc17.x86_64.rpm
          ghc-data-memocombinators-devel-0.4.3-1.fc17.x86_64.rpm
          ghc-data-memocombinators-0.4.3-1.fc17.src.rpm
ghc-data-memocombinators.x86_64: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
ghc-data-memocombinators-devel.x86_64: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
ghc-data-memocombinators.src: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-data-memocombinators ghc-data-memocombinators-devel
ghc-data-memocombinators.x86_64: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
ghc-data-memocombinators-devel.x86_64: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

MD5-sum check
-------------
http://hackage.haskell.org/packages/archive/data-memocombinators/0.4.3/data-memocombinators-0.4.3.tar.gz :
  CHECKSUM(SHA256) this package     : 4cbfdcfaf73674591373097b144f4bc655458c6f3ca6af5c3d7e88cad893fb57
  CHECKSUM(SHA256) upstream package : 4cbfdcfaf73674591373097b144f4bc655458c6f3ca6af5c3d7e88cad893fb57

Built with local dependencies:


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-17-x86_64
Command line :/bin/fedora-review -n ghc-data-memocombinators -L ghc-memocombinators

License file is included as additional source.
Comment 6 Shakthi Kannan 2012-10-08 08:29:33 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: ghc-data-memocombinators
Short Description: Combinators for building memo tables
Owners: shakthimaan
Branches: f17 f18
InitialCC: haskell-sig
Comment 7 Jason Tibbitts 2012-10-08 12:30:52 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-10-09 02:04:30 EDT
ghc-data-memocombinators-0.4.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-data-memocombinators-0.4.3-1.fc17
Comment 9 Fedora Update System 2012-10-09 02:04:41 EDT
ghc-data-memocombinators-0.4.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-data-memocombinators-0.4.3-1.fc18
Comment 10 Fedora Update System 2012-10-09 13:22:51 EDT
ghc-data-memocombinators-0.4.3-1.fc18 has been pushed to the Fedora 18 testing repository.

Note You need to log in before you can comment on or make changes to this bug.